import { FunctionID } from '../datasources/HermesFunction';
import { HermesFunction, HermesFunctionProto } from '../globalTypes';
import { ImageNamer } from './ImageNamer';
export declare class DataProvider {
    functionDir: string;
    username: string;
    dockerhubUsername: string;
    private hermesConfig;
    functionNamer: ImageNamer;
    constructor(functionDir: string, username: string, dockerhubUsername: string);
    readonly config: HermesFunctionProto;
    readonly functionID: FunctionID;
    readonly language: string;
    readonly functionName: string;
    readonly builtFunctionObj: {
        dockerhubUsername: string;
        username: string;
        hermesConfig: HermesFunctionProto;
    };
    readonly builtWatcherObj: {
        hermesFunctionConfig: {
            imageName: string;
            functionName: string;
            language: string;
            gpuCapable: boolean;
            functionVersion: string;
            scope: string;
        };
        username: string;
    };
    readonly functionObj: HermesFunction;
    readonly watcherBase: string;
    readonly watcherName: string;
    readonly buildName: string;
}
