"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const functionUtils_1 = require("../utils/functionUtils");
const ImageNamer_1 = require("./ImageNamer");
class DataProvider {
    constructor(functionDir, username, dockerhubUsername) {
        this.functionDir = functionDir;
        this.username = username;
        this.dockerhubUsername = dockerhubUsername;
        this.functionDir = functionDir;
        this.hermesConfig = functionUtils_1.parseHermesConfig(this.functionDir);
        this.functionNamer = new ImageNamer_1.ImageNamer(this.hermesConfig, this.username, this.dockerhubUsername);
    }
    get config() {
        return this.hermesConfig;
    }
    get functionID() {
        const { functionName, functionVersion } = this.hermesConfig;
        return {
            functionName,
            functionVersion,
        };
    }
    get language() {
        return this.hermesConfig.language;
    }
    get functionName() {
        return `${this.hermesConfig.functionName}:${this.hermesConfig.functionVersion}`;
    }
    get builtFunctionObj() {
        return {
            dockerhubUsername: this.dockerhubUsername,
            username: this.username,
            hermesConfig: this.hermesConfig,
        };
    }
    get builtWatcherObj() {
        const hermesFunctionConfig = Object.assign({}, this.hermesConfig, { imageName: this.watcherName });
        return {
            hermesFunctionConfig,
            username: this.username,
        };
    }
    get functionObj() {
        return Object.assign({}, this.hermesConfig, { imageName: this.watcherName });
    }
    get watcherBase() {
        return this.functionNamer.getWatcherBase();
    }
    get watcherName() {
        return this.functionNamer.getWatcherName();
    }
    get buildName() {
        return this.functionNamer.getBuildName();
    }
}
exports.DataProvider = DataProvider;
//# sourceMappingURL=DataProvider.js.map