"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const Environment_1 = require("../Environment");
const authUtils_1 = require("../utils/authUtils");
class AuthDatasource {
    static get baseURL() {
        return Environment_1.Environment.baseURL + '/auth';
    }
    static register(newUser) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const clientRes = yield this.client.post(this.baseURL + '/register', newUser);
                return clientRes.data;
            }
            catch (err) {
                throw err;
            }
        });
    }
    static login(loginData) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const clientRes = yield this.client.post(this.baseURL + '/login', loginData);
                return clientRes.data;
            }
            catch (err) {
                throw err;
            }
        });
    }
    static usernameExists(username) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const clientRes = yield this.client.post(this.baseURL + `/register/${username}`);
                return clientRes.data;
            }
            catch (err) {
                throw err;
            }
        });
    }
    static getMe(token) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const clientRes = yield this.client.get(this.baseURL + '/me', {
                    headers: authUtils_1.getAuthorizationHeader(token),
                });
                return clientRes.data;
            }
            catch (err) {
                throw err;
            }
        });
    }
}
AuthDatasource.client = axios_1.default.create();
exports.AuthDatasource = AuthDatasource;
//# sourceMappingURL=Auth.js.map