import { FunctionDeleteObj, FunctionGetObj, FunctionPostObj, FunctionPutObj } from '@hermes-serverless/api-types-db-manager/function';
import { HermesFunction } from '../globalTypes';
export interface PartialFunctionID {
    functionName?: string;
    functionVersion?: string;
}
export interface FunctionID {
    functionName: string;
    functionVersion: string;
}
export declare class HermesFunctionDatasource {
    private static client;
    private static readonly baseURL;
    static getFunction(username: string, partialFunctionID: PartialFunctionID, token: string): Promise<FunctionGetObj>;
    static deleteFunction(username: string, partialFunctionID: PartialFunctionID, token: string): Promise<FunctionDeleteObj>;
    static deployFunction(username: string, hermesFunction: HermesFunction, token: string): Promise<FunctionPostObj>;
    static updateFunction(username: string, partialFunctionID: FunctionID, updatedHermesFunction: HermesFunction, token: string): Promise<FunctionPutObj>;
}
