/// <reference types="node" />
import { RunDeleteObj, RunGetObj } from '@hermes-serverless/api-types-db-manager/run';
import { RunStatus, ResultInfo } from '@hermes-serverless/api-types-function-watcher';
import request from 'request';
import { Readable } from 'stream';
import { FunctionID, PartialFunctionID } from './HermesFunction';
interface PartialFunctionIDWithOwner extends PartialFunctionID {
    functionOwner: string;
}
interface FunctionIDWithOwner extends FunctionID {
    functionOwner: string;
}
export declare class RunDatasource {
    private static client;
    private static readonly baseURL;
    static getRuns(username: string, runID: {
        id?: string;
    }, token: string): Promise<RunGetObj>;
    static deleteRun(username: string, runID: {
        id: string;
    }, token: string): Promise<RunDeleteObj>;
    static getFunctionRuns(username: string, functionID: PartialFunctionIDWithOwner, token: string): Promise<RunGetObj>;
    static deleteFunctionRuns(username: string, functionID: PartialFunctionIDWithOwner, token: string): Promise<RunDeleteObj>;
    static createAsyncRun(username: string, functionID: FunctionIDWithOwner, input: Readable | string, token: string): Promise<any>;
    static createSyncRun(username: string, functionID: FunctionIDWithOwner, input: Readable | string, token: string): Promise<request.Request>;
    static getRunStatus(username: string, runID: string, token: string, additionalFields: string[]): Promise<RunStatus>;
    static getRunResultInfo(username: string, runID: string, token: string): Promise<ResultInfo>;
    static getRunResultOutput(username: string, runID: string, token: string): Promise<string>;
}
export {};
